summaryrefslogtreecommitdiff
path: root/debian/cscope.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/cscope.preinst')
-rw-r--r--debian/cscope.preinst24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/cscope.preinst b/debian/cscope.preinst
new file mode 100644
index 0000000..be518b4
--- /dev/null
+++ b/debian/cscope.preinst
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+cleanup_sitestart() {
+ if [ -e /etc/emacs/site-start.d/50cscope.el ]; then
+ rm -f /etc/emacs/site-start.d/50cscope.el
+ fi
+}
+
+case "$1" in
+ upgrade)
+ cleanup_sitestart
+ ;;
+
+ install|abort-upgrade)
+ ;;
+
+ *)
+ echo "$0 called with unknown argument '$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+exit 0